# Uses of Interface
org.opensaml.soap.wspolicy.Policy

Packages that use Policy
Package
Description
org.opensaml.soap.wspolicy
XMLObject interfaces for WS-Policy 1.2 elements.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.

## Uses of Policy in org.opensaml.soap.wspolicy

Methods in org.opensaml.soap.wspolicy that return types with arguments of type Policy
Modifier and Type
Method
Description
`List<Policy>`
OperatorContentType.`getPolicies()`
Get the list of `Policy` elements.
`List<Policy>`
PolicyAttachment.`getPolicies()`
Get the list of Policy child elements.

## Uses of Policy in org.opensaml.soap.wspolicy.impl

Classes in org.opensaml.soap.wspolicy.impl that implement Policy
Modifier and Type
Class
Description
`class`
`PolicyImpl`
PolicyImpl.
Methods in org.opensaml.soap.wspolicy.impl that return Policy
Modifier and Type
Method
Description
`Policy`
PolicyBuilder.`buildObject()`
Builds a WS-Policy object.
`Policy`
PolicyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wspolicy.impl that return types with arguments of type Policy
Modifier and Type
Method
Description
`List<Policy>`
OperatorContentTypeImpl.`getPolicies()`
Get the list of `Policy` elements.
`List<Policy>`
PolicyAttachmentImpl.`getPolicies()`
Get the list of Policy child elements.